Virtual Machine Snapshot Get Child Snapshot

Virtual Machine Snapshot Get Child Snapshot
All snapshots for which this snapshot is the parent.

All snapshots for which this snapshot is the parent.

Request
URI
GET
https://{vcenter-host}/sdk/vim25/{release}/VirtualMachineSnapshot/{moId}/childSnapshot
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the property attaches; the serialized managed object reference for a request has the form moType/moId, in this case VirtualMachineSnapshot/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
]
array of object
Optional

Reference to an instance of the VirtualMachineSnapshot managed object.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/VirtualMachineSnapshot/{moId}/childSnapshot